aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-12-18 08:19:02 +0000
committerTimo Teräs <timo.teras@iki.fi>2013-12-18 08:19:02 +0000
commit16b39aa71978f356d98e0b9a70a38f457a6bc40f (patch)
tree6009dbc17ca8041e25c2e78bd92d3912578b383d
parentcc295c1ccbf30350c90ca4e0410a615652246494 (diff)
downloadaports-16b39aa71978f356d98e0b9a70a38f457a6bc40f.tar.gz
aports-16b39aa71978f356d98e0b9a70a38f457a6bc40f.tar.bz2
aports-16b39aa71978f356d98e0b9a70a38f457a6bc40f.tar.xz
main/mrxvt: fix musl build
-rw-r--r--main/mrxvt/APKBUILD18
-rw-r--r--main/mrxvt/musl-fix-includes.patch12
2 files changed, 28 insertions, 2 deletions
diff --git a/main/mrxvt/APKBUILD b/main/mrxvt/APKBUILD
index 59ef8de94d..d07c6145e8 100644
--- a/main/mrxvt/APKBUILD
+++ b/main/mrxvt/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Mark Constable <markc@renta.net>
pkgname=mrxvt
pkgver=0.5.4
-pkgrel=6
+pkgrel=7
pkgdesc="A multi-tabbed X terminal emulator based on rxvt code"
url="http://materm.sourceforge.net/wiki/pmwiki.php"
arch="all"
@@ -12,6 +12,7 @@ subpackages="$pkgname-doc"
source="
http://downloads.sourceforge.net/sourceforge/materm/$pkgname-$pkgver.tar.gz
mrxvt-0.5.4-002-fix-segfault-when-wd-empty.patch
+ musl-fix-includes.patch
mrxvt.desktop
"
@@ -19,7 +20,11 @@ _builddir="$srcdir"/$pkgname-$pkgver
prepare() {
cd "$_builddir"
update_config_sub || return 1
- patch -p1 < ../mrxvt-0.5.4-002-fix-segfault-when-wd-empty.patch || return 1
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
}
build() {
@@ -55,4 +60,13 @@ package() {
}
md5sums="0232c8868484751dcb931a28f0756f69 mrxvt-0.5.4.tar.gz
e4a8bb2521246aba85f8dcaa01aed527 mrxvt-0.5.4-002-fix-segfault-when-wd-empty.patch
+762a151ed6d4f3ee6928678fda5b477f musl-fix-includes.patch
6ba3bcd484c8dad1b0b48465ded54de3 mrxvt.desktop"
+sha256sums="f403ad5a908fcd38a55ed0a7e1b85584cb77be8781199653a39b8af1a9ad10d7 mrxvt-0.5.4.tar.gz
+578f52cf072574ccfc8d500fb4d5d3ce97d7ecf610ec0f7798b8a74850b18756 mrxvt-0.5.4-002-fix-segfault-when-wd-empty.patch
+146201eb1f3e525eac3e287dae80575e20c3c09ed9d7c1d2d1f32414cd9ca8cd musl-fix-includes.patch
+3bdaed1adcd443347b01e3c976cd8c0923a75645ae75fcc4b5020dba07d20ac1 mrxvt.desktop"
+sha512sums="572bb4dda9f9b9dcb597f3185922646523bce34003f536acca82992f68f8f7c1a5f2778d626f805ea2cd061e8451fbbf12010e5d655221f76b83440825c80992 mrxvt-0.5.4.tar.gz
+27d8a9775a5ea6e5e0e588d84ab5c76cc76aaa4ebeb473950e8f6b3dbf660a380c2d2385356ab9bd12d2e00b98c467f99f8e1aac16c91f8ffa4e29a38124340a mrxvt-0.5.4-002-fix-segfault-when-wd-empty.patch
+4f2cf06484b1b364f7eb9f2acc629d2e600d4e614071fca5035d3654b083347f00162d2077496626fe4184dcac938b0b91f3ffe23f259b53ed475c4b8e85dbb0 musl-fix-includes.patch
+04e0f2e93449d2656e55bdbdf6742d50c625c86ba8e64062e40f447a077b3a01f457ea855a99df39b4a099b30517d4a8cc45e91de6300023d0072ee76ae2b375 mrxvt.desktop"
diff --git a/main/mrxvt/musl-fix-includes.patch b/main/mrxvt/musl-fix-includes.patch
new file mode 100644
index 0000000000..5415f9079c
--- /dev/null
+++ b/main/mrxvt/musl-fix-includes.patch
@@ -0,0 +1,12 @@
+Only in mrxvt-0.5.4: src/logging.o
+Only in mrxvt-0.5.4: src/mrxvt
+--- mrxvt-0.5.4.orig/src/rxvt.h
++++ mrxvt-0.5.4/src/rxvt.h
+@@ -58,6 +58,7 @@
+ #include <stdint.h>
+ #include <ctype.h>
+ #include <errno.h>
++#include <paths.h>
+ #include <signal.h>
+
+ #ifdef HAVE_SYS_TYPES_H